<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>RequestEntity xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../apidocs/org/apache/commons/httpclient/methods/RequestEntity.html">View Javadoc</a></div><pre>

<a name="1" href="#1">1</a>   <em class="comment">/*</em>
<a name="2" href="#2">2</a>   <em class="comment"> * $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/oac.hc3x/trunk/src/java/org/apache/commons/httpclient/methods/RequestEntity.java $</em>
<a name="3" href="#3">3</a>   <em class="comment"> * $Revision$</em>
<a name="4" href="#4">4</a>   <em class="comment"> * $Date$</em>
<a name="5" href="#5">5</a>   <em class="comment"> *</em>
<a name="6" href="#6">6</a>   <em class="comment"> * ====================================================================</em>
<a name="7" href="#7">7</a>   <em class="comment"> *</em>
<a name="8" href="#8">8</a>   <em class="comment"> *  Licensed to the Apache Software Foundation (ASF) under one or more</em>
<a name="9" href="#9">9</a>   <em class="comment"> *  contributor license agreements.  See the NOTICE file distributed with</em>
<a name="10" href="#10">10</a>  <em class="comment"> *  this work for additional information regarding copyright ownership.</em>
<a name="11" href="#11">11</a>  <em class="comment"> *  The ASF licenses this file to You under the Apache License, Version 2.0</em>
<a name="12" href="#12">12</a>  <em class="comment"> *  (the "License"); you may not use this file except in compliance with</em>
<a name="13" href="#13">13</a>  <em class="comment"> *  the License.  You may obtain a copy of the License at</em>
<a name="14" href="#14">14</a>  <em class="comment"> *</em>
<a name="15" href="#15">15</a>  <em class="comment"> *      <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a name="16" href="#16">16</a>  <em class="comment"> *</em>
<a name="17" href="#17">17</a>  <em class="comment"> *  Unless required by applicable law or agreed to in writing, software</em>
<a name="18" href="#18">18</a>  <em class="comment"> *  distributed under the License is distributed on an "AS IS" BASIS,</em>
<a name="19" href="#19">19</a>  <em class="comment"> *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</em>
<a name="20" href="#20">20</a>  <em class="comment"> *  See the License for the specific language governing permissions and</em>
<a name="21" href="#21">21</a>  <em class="comment"> *  limitations under the License.</em>
<a name="22" href="#22">22</a>  <em class="comment"> * ====================================================================</em>
<a name="23" href="#23">23</a>  <em class="comment"> *</em>
<a name="24" href="#24">24</a>  <em class="comment"> * This software consists of voluntary contributions made by many</em>
<a name="25" href="#25">25</a>  <em class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a name="26" href="#26">26</a>  <em class="comment"> * information on the Apache Software Foundation, please see</em>
<a name="27" href="#27">27</a>  <em class="comment"> * &lt;<a href="http://www.apache.org/" target="alexandria_uri">http://www.apache.org/</a>>.</em>
<a name="28" href="#28">28</a>  <em class="comment"> *</em>
<a name="29" href="#29">29</a>  <em class="comment"> */</em>
<a name="30" href="#30">30</a>  
<a name="31" href="#31">31</a>  <strong>package</strong> <a href="../../../../../org/apache/commons/httpclient/methods/package-summary.html">org.apache.commons.httpclient.methods</a>;
<a name="32" href="#32">32</a>  
<a name="33" href="#33">33</a>  <strong>import</strong> java.io.IOException;
<a name="34" href="#34">34</a>  <strong>import</strong> java.io.OutputStream;
<a name="35" href="#35">35</a>  
<a name="36" href="#36">36</a>  <em>/**<em>*</em></em>
<a name="37" href="#37">37</a>  <em> * @since 3.0</em>
<a name="38" href="#38">38</a>  <em> */</em>
<a name="39" href="#39">39</a>  <strong>public</strong> <strong>interface</strong> <a href="../../../../../org/apache/commons/httpclient/methods/RequestEntity.html">RequestEntity</a> {
<a name="40" href="#40">40</a>  
<a name="41" href="#41">41</a>      <em>/**<em>*</em></em>
<a name="42" href="#42">42</a>  <em>     * Tests if {@link #writeRequest(OutputStream)} can be called more than once.</em>
<a name="43" href="#43">43</a>  <em>     * </em>
<a name="44" href="#44">44</a>  <em>     * @return &lt;tt>true&lt;/tt> if the entity can be written to {@link OutputStream} more than once, </em>
<a name="45" href="#45">45</a>  <em>     * &lt;tt>false&lt;/tt> otherwise.</em>
<a name="46" href="#46">46</a>  <em>     */</em>
<a name="47" href="#47">47</a>      <strong>boolean</strong> isRepeatable();
<a name="48" href="#48">48</a>  
<a name="49" href="#49">49</a>      <em>/**<em>*</em></em>
<a name="50" href="#50">50</a>  <em>     * Writes the request entity to the given stream.</em>
<a name="51" href="#51">51</a>  <em>     * @param out</em>
<a name="52" href="#52">52</a>  <em>     * @throws IOException</em>
<a name="53" href="#53">53</a>  <em>     */</em>
<a name="54" href="#54">54</a>      <strong>void</strong> writeRequest(OutputStream out) throws IOException;
<a name="55" href="#55">55</a>      
<a name="56" href="#56">56</a>      <em>/**<em>*</em></em>
<a name="57" href="#57">57</a>  <em>     * Gets the request entity's length. This method should return a non-negative value if the content </em>
<a name="58" href="#58">58</a>  <em>     * length is known or a negative value if it is not. In the latter case the</em>
<a name="59" href="#59">59</a>  <em>     * {@link org.apache.commons.httpclient.methods.EntityEnclosingMethod} will use chunk encoding to</em>
<a name="60" href="#60">60</a>  <em>     * transmit the request entity.</em>
<a name="61" href="#61">61</a>  <em>     *  </em>
<a name="62" href="#62">62</a>  <em>     * @return a non-negative value when content length is known or a negative value when content length </em>
<a name="63" href="#63">63</a>  <em>     * is not known  </em>
<a name="64" href="#64">64</a>  <em>     */</em>
<a name="65" href="#65">65</a>      <strong>long</strong> getContentLength();
<a name="66" href="#66">66</a>      
<a name="67" href="#67">67</a>      <em>/**<em>*</em></em>
<a name="68" href="#68">68</a>  <em>     * Gets the entity's content type.  This content type will be used as the value for the</em>
<a name="69" href="#69">69</a>  <em>     * "Content-Type" header.</em>
<a name="70" href="#70">70</a>  <em>     * @return the entity's content type</em>
<a name="71" href="#71">71</a>  <em>     * @see org.apache.commons.httpclient.HttpMethod#setRequestHeader(String, String)</em>
<a name="72" href="#72">72</a>  <em>     */</em>
<a name="73" href="#73">73</a>      String getContentType();
<a name="74" href="#74">74</a>      
<a name="75" href="#75">75</a>  }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

